Subject: Re: [PATCH 0/3] net: stmmac: fix & improve driver statistics

From: Jisheng Zhang <[email-masked]>
Date: Thu, 15 Jun 2023 23:17:26 +0800

On Wed, Jun 14, 2023 at 09:39:17PM +0200, Simon Horman wrote:
> On Thu, Jun 15, 2023 at 12:18:44AM +0800, Jisheng Zhang wrote:
> > patch1 and patch2 fix two issues in net driver statistics:
> > 1. network driver statistics are cleared in .ndo_close() and
> > .ndo_open() cycle
> > 2. some network driver statistics overflow on 32 bit platforms
> 
> I would encourage you to describe these as enhancements or similar,
> but not fixes. Because fix implies a bug, such as a crash. And
> bugs for fixes are handled by a slightly different process which
> often includes backporting.

So it seems I need to fold patch2 and patch3 into one patch. Previously
I thought the counters overflow on 32 bit platforms was a bug, thus
I split the 64bit stats patch into patch2 and patch3 so that patch2
can be backported to stable tree.

I will fold patch2 and patch3 into one patch in v2.

Thanks for your review.
> 
> > patch3 use pcpu statistics where necessary to remove frequent
> > cacheline ping pongs.
> 
> Assuming these are three enhancements, then they should be
> targeted at the net-next tree. And that should be noted in the subject:
> 
> 	Subject: [PATCH net-next v2] ...
> 
> Unfortunately the series does not seem to apply to net-next
> in its current form. So it probably needs to be rebased and reposted.
> 
> If you do post an updated series, please observe a 24h grace
> period between postings, to give reviewers time to do their thing.
> 
> Link: https://docs.kernel.org/process/maintainer-netdev.html

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel